{% extends 'index.html' %}
{% block title %}<title>Order View</title>{% endblock %}

{% block content %}
    <div class="order-container">
        <a class="button-mull" href="{% url 'profile' request.user.pk %}">Back to pannel</a>
        {% if orders %}
            <div class="order-wrap">
                <table class="table">
                    <thead class="head-color">
                    <tr>
                        <th scope="col">ID</th>
                        <th scope="col">Order time</th>
                        <th scope="col">Payment method</th>
                        <th scope="col">Total</th>
                        <th scope="col">View ordered items</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for order in orders %}
                        {% if forloop.counter0|divisibleby:2 %}
                            <tr class="div-back">
                                <th scope="row">{{ order.id }}</th>
                                <td>{{ order.date_and_time }}</td>
                                <td>{{ order.payment_method }}</td>
                                <td>{{ order.value }}</td>
                                <td><a href="{% url 'ordered-items' order.id %}">View items</a></td>
                            </tr>
                        {% else %}
                            <tr>
                                <th scope="row">{{ order.id }}</th>
                                <td>{{ order.date_and_time }}</td>
                                <td>{{ order.payment_method }}</td>
                                <td>{{ order.value }}</td>
                                <td><a href="{% url 'ordered-items' order.id %}">View items</a></td>
                            </tr>
                        {% endif %}
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        {% else %}
            <h4>No orders to be displayed</h4>
        {% endif %}
    </div>

{% endblock %}